petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateFieldIS

Creates a set of IS objects with the global indices of dofs for each field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCreateFieldIS(DM dm, PetscInt *numFields, char ***fieldNames, IS **fields)

Not collective Many br

### Input Parameter

dm -the DM object Many br

### Output Parameters

| numFields | - The number of fields (or NULL if not requested) Many br
| fieldNames | - The name for each field (or NULL if not requested) Many br
| fields | - The global indices for each field (or NULL if not requested) Many br

Many br

### Notes

The user is responsible for freeing all requested arrays. In particular, every entry of names should be freed with Many brPetscFree(), every entry of fields should be destroyed with ISDestroy(), and both arrays should be freed with Many brPetscFree(). Many br

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages